List allowed filters per signal type
curl --request GET \
--url https://api.lemlist.com/api/watchlist/filters \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.lemlist.com/api/watchlist/filters"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.lemlist.com/api/watchlist/filters', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://api.lemlist.com/api/watchlist/filters")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lemlist.com/api/watchlist/filters",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {}
}Invalid type valuesUnauthorizedInternal server errorSignal Agents
List allowed filters per signal type
Lists, per signal type, the filters you can set on a Signal Agent.
GET
/
watchlist
/
filters
List allowed filters per signal type
errorEach filter descriptor tells you the sides it supports (
in to include, out to exclude), which sides are required, and any numeric bounds. Pass type to scope the response to a single signal type.Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Query Parameters
Restrict the response to a single signal type. Omit to return filters for every type.
Available options:
companyIsHiring, companyRaisedFunds, recruitmentCampaign, newHire, companyEmployeeVisitedMyWebsite, customSignals, competitorConnections, competitorReactions, technologyChange, linkedinPeopleProfile, linkedinCompanyProfile, mergersAcquisitions, promotion, linkedinKeywords, republishedJobOffers, buyingIntent, newProductLaunch, companyAward, newPartnership, newOffice, closingOffice, costCutting, outagesAndSecurityBreaches, lawsuitsAndLegalIssues, githubStargazer Response
Success
Allowed filters keyed by signal type
Show child attributes
Show child attributes
Was this page helpful?